> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookpulse.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Domain UUID

> Retrieve the UUID for a specific domain by providing the domain name and protocol type

Retrieve the UUID for a specific domain by providing the domain name and protocol type.

## Example request

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.hookpulse.io/v1/api/get_domain_uuid/ \
    -H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
    -H "x-brand-uuid: {{x-brand-uuid}}" \
    -H "Content-Type: application/json" \
    -d '{
      "domain_name": "{{domain_name}}",
      "protocol_type": "{{protocol_type}}"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.hookpulse.io/v1/api/get_domain_uuid/', {
    method: 'POST',
    headers: {
      'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
      'x-brand-uuid': '{{x-brand-uuid}}',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      domain_name: '{{domain_name}}',
      protocol_type: '{{protocol_type}}'
    })
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = 'https://api.hookpulse.io/v1/api/get_domain_uuid/'
  headers = {
      'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
      'x-brand-uuid': '{{x-brand-uuid}}',
      'Content-Type': 'application/json'
  }
  payload = {
      'domain_name': '{{domain_name}}',
      'protocol_type': '{{protocol_type}}'
  }

  response = requests.post(url, headers=headers, json=payload)
  print(response.json())
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'
  require 'uri'

  uri = URI('https://api.hookpulse.io/v1/api/get_domain_uuid/')
  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true

  request = Net::HTTP::Post.new(uri.path)
  request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
  request['x-brand-uuid'] = '{{x-brand-uuid}}'
  request['Content-Type'] = 'application/json'
  request.body = {
    domain_name: '{{domain_name}}',
    protocol_type: '{{protocol_type}}'
  }.to_json

  response = http.request(request)
  puts JSON.parse(response.body)
  ```

  ```php PHP theme={null}
  <?php

  $url = 'https://api.hookpulse.io/v1/api/get_domain_uuid/';
  $data = [
      'domain_name' => '{{domain_name}}',
      'protocol_type' => '{{protocol_type}}'
  ];

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
      'x-brand-uuid: {{x-brand-uuid}}',
      'Content-Type: application/json'
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```
</RequestExample>

## Request body

| Field           | Type   | Required | Description                                          |
| --------------- | ------ | -------- | ---------------------------------------------------- |
| `domain_name`   | string | Yes      | Domain name to look up (e.g., "api.hookpulse.io")    |
| `protocol_type` | string | Yes      | Protocol type for the domain (e.g., "https", "http") |

## Example response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "domain_uuid": "{{domain_uuid}}"
  }
  ```
</ResponseExample>

## Response fields

| Field         | Type    | Description                             |
| ------------- | ------- | --------------------------------------- |
| `success`     | boolean | Indicates if the request was successful |
| `domain_uuid` | string  | Unique identifier for the domain        |


## OpenAPI

````yaml POST /v1/api/get_domain_uuid/
openapi: 3.0.3
info:
  title: Hookpulse API
  description: >-
    Complete API documentation for Hookpulse. Build powerful integrations with
    our RESTful API.
  version: 1.0.0
  contact:
    name: Hookpulse Support
    email: care@hookpulse.io
    url: https://hookpulse.io
servers:
  - url: https://api.hookpulse.io
    description: Production server
security:
  - apiKeyAuth: []
    brandUuidAuth: []
paths:
  /v1/api/get_domain_uuid/:
    post:
      description: >-
        Retrieve the UUID for a specific domain by providing the domain name and
        protocol type
      requestBody:
        description: Domain lookup request
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDomainUuidRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDomainUuidResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetDomainUuidRequest:
      required:
        - domain_name
        - protocol_type
      type: object
      properties:
        domain_name:
          type: string
          description: Domain name to look up
        protocol_type:
          type: string
          description: Protocol type for the domain (e.g., 'https', 'http')
    GetDomainUuidResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        domain_uuid:
          type: string
          description: Unique identifier for the domain
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-hookpulse-api-key
      description: >-
        API key for authentication. Get this from your dashboard by selecting a
        brand and going to API Keys section.
    brandUuidAuth:
      type: apiKey
      in: header
      name: x-brand-uuid
      description: >-
        Brand UUID for authentication. Get this from your dashboard after adding
        a brand - it will be displayed in the UI.

````